MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0023663Open CASCADE[OCCT] OCCT:Visualizationpublic2012-12-21 20:432014-06-29 14:21
Reportersan 
Assigned Toaba 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformAOSLOS VersionL
Product Version[OCCT] 6.5.4 
Target Version[OCCT] 6.6.0Fixed in Version[OCCT] 6.6.0 
Summary0023663: Removing 2D viewer library
DescriptionA number of OCCT 2D viewer (TKV2d library) tests currently do not pass because some functions of OCCT 2D viewer are broken for a long time. Having no complaints means the 2D viewer is not used by anybody.
Instead of wasting time on debugging, it is proposed to get rid of the separate 2D viewer.

The 2D viewer seems to have no value added with respect to the 3D viewer. It is really old and it is not hardware-accelerated.
Meanwhile, the OCCT 3D viewer is used successfully in many applications to visualize 2D objects.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0023665closedaba Open CASCADE Package CGM is not used anywhere 
related to 0023707closedsan Open CASCADE New Draw command for testing of HLR algorithm 
related to 0023776closedaba Open CASCADE Redesign of MFC samples after V2d viewer removing 
related to 0022103closedbugmaster Open CASCADE Remove FontMFT package from OCCT 
related to 0023670closedaba Open CASCADE Support for multiple 3D views 
related to 0023709closedaba Open CASCADE Redesign of hlrtest command 
related to 0023710closedapn Open CASCADE Simplification of presentation managment classes 
related to 0023712closeddbv Open CASCADE Remove the dependency on the Aspect_GraphicDevice from Aspect_Window 
related to 0023735closeddbv Open CASCADE Linkage error after patch 23663 on non-Windows platforms 
related to 0021589closedbugmaster Open CASCADE Problem with simultaneously opened v3d and v2d diaplay in DRAW 
related to 0007696closedbugmaster Community Printing from 2d view 
related to 0025026closedapn Open CASCADE Visualization, Graphic3d_Plotter - remove unused class 
related to 0025038closedapn Open CASCADE Visualization - remove unused classes from package Aspect 

-  Notes
(0022829)
abv (manager)
2012-12-25 13:51

Note that 2d viewer window in DRAW is considered useful for debugging HLR algorithm, when it can be shown sid-by-side with 3d viewer showing the same scene in shading. Thus possibility to have separate viewer for HLR in DRAW should be considered as requirement when removing 2d viewer (contact jgv for details).
(0022989)
aba (developer)
2013-01-16 17:32
edited on: 2013-01-17 10:55

The Git branch CR23663 is ready for reviewing.

1) Deleted packages:
   - TKV2d/AIS2d
   - TKV2d/GGraphic2d
   - TKV2d/Graphic2d
   - TKV2d/Prs2d
   - TKV2d/Select2d
   - TKV2d/V2d
   - CGM
   - MFT
   - PlotMgt
   - PS
   - QAViewer2dTest (depends on V2d, Graphic2d)
   - TKViewerTest/Viewer2dTest
   - FontMFT

2) Edited packages:
   2.1) AIS
     - dependences from PrsMgr_PresentationManager2d
     and Graphic2d_GraphicObject were deleted
   2.2) PrsMgr
     - dependences from Graphic2d_GraphicObject were deleted
     - PrsMgr_Presentation2d was deleted (depends on Graphic2d)
     - PrsMgr_PresentationManager2d was deleted (depends on Graphic2d)
   2.3) QABugs
     - Functions that depend on Viewer2dTest were deleted
   2.4) QADraw
     - 2d commands were deleted
   2.5) StdSelect
     - In StdSelect.cdl dependences from Select2d, Graphic2d and V2d were deleted
     - Dependences from PrsMgr_PresentationManager2d and Graphic2d_GraphicObject
     were deleted
     - StdSelect_SensitiveText2d was deleted (depends on Select2d_SensitiveEntity)
     - StdSelect_TextProjector2d was removed (depends on V2d_View)
   2.6) TKCAF, TKDCAF, TKMesh, TKPCAF, TKQADraw, TKTopTest, TKV3d, TKVoxel, TKXCAF, TKXSDRAW
     - dependences on TKV2d were deleted (from EXTERNLIB files)
   2.6) V3d
     - In V3d_View ScreenCopy function(for dumping) were deleted (uses PlotMgt_PlotterDriver)
   2.7) In ViewerTest
     - hlrtest and phlrtest functions were commented as they use V2d Viewer
   2.8) WNT
     - WNT_MFTDraw was deleted (depends on deleted WNT package)
     - WNT_DDriver, WNT_WDriver were deleted (depend on MFT_FontManager)
     - WNT_TextManager was deleted (inherits MFT_TextManager)
   2.9) In Xw package:
     - Xw_TextManager was removed (inherits MFT_TextManager)
     - Xw_Driver was removed
   2.10) In Aspect:
     - dependences on MFT were deleted
     - CSF_MDTVFontDirectory variable was removed
 3) In /tests test cases for 2d viewer commands were removed

Dear san, please review.

(0022997)
jgv (developer)
2013-01-17 12:43

Dear colleagues,

As we have discussed, such Draw commands as "hlrtest" can not be removed. It is necessary that two windows simultaneously can work: the window of 3d-viewer and the window of 2d-viewer. The following example must work:

pcylinder cc 10 30
trotate cc 0 0 0 1 1 1 45
fit
vinit
vdisplay cc
vfit
v2dinit
hlrtest cc
v2dfit

(0023004)
san (developer)
2013-01-17 15:22

hlrtest command will be redesigned in the frames of 0023709 using the results of 0023670.
(0023005)
san (developer)
2013-01-17 15:23

The branch CR23663 reviewed with the following remarks:

Please remove trailing spaces and tabulation:

src/AIS/AIS_Axis.cdl - line 136
src/AIS/AIS_AngleDimension.cdl - line 191
src/AIS/AIS_Chamf2dDimension.cdl - lines 41, 94
src/AIS/AIS_Chamf3dDimension.cdl - lines 40, 90
src/AIS/AIS_Circle.cdl - line 38
src/AIS/AIS_ConcentricRelation.cdl - line 42
src/AIS/AIS_DiameterDimension.cdl - line 49
src/AIS/AIS_EqualDistanceRelation.cdl - line 103
src/AIS/AIS_FixRelation.cdl - lines 47, 111
src/AIS/AIS_Line.cdl - lines 38, 62
src/AIS/AIS_MaxRadiusDimension.cdl - lines 43, 86
src/AIS/AIS_MinRadiusDimension.cdl - line 42
src/AIS/AIS_MultipleConnectedInteractive.cdl - line 40
src/AIS/AIS_MultipleConnectedShape.cdl - line 35
src/AIS/AIS_ParallelRelation.cdl - line 37
src/AIS/AIS_PerpendicularRelation.cdl - line 33
src/AIS/AIS_Plane.cdl - lines 40, 201
src/AIS/AIS_Point.cdl - line 76
src/AIS/AIS_RadiusDimension.cdl - line 45
src/AIS/AIS_TangentRelation.cdl - lines 33, 76
src/AIS/AIS_Trihedron.cdl - lines 60, 142
src/StdSelect/StdSelect_Shape.cdl - lines 29, 47

src/WNT/WNT_FontMapEntry.* - WNT_FontMapEntry class should be removed, it was used solely by removed classes WNT_DDriver and WNT_WDriver
(0023009)
aba (developer)
2013-01-17 17:21

The Git branch CR23663 was updated according to remarks:
1) Trailing spaces were removed
2)WNT_FontMapEntry, WNT_FontTable, WNT_HFontTable, WNT_FontMapEntryDefinitionError classes were removed from WNT.

Dear san, please review.
(0023032)
san (developer)
2013-01-18 18:26

Branch CR23663 reviewed without remarks, ready for testing.
(0023049)
mkv (tester)
2013-01-21 20:28

Dear aba,
could you please rebase CR23663 branch with current master.
(0023054)
aba (developer)
2013-01-22 11:16

Dear mkv,
the branch CR23663 was rebased on current master.
(0023062)
mkv (tester)
2013-01-22 17:54
edited on: 2013-01-22 18:11

Dear BugMaster,
Branch CR23663 was rebased on the current master.
Conflicts were resolved by ABA.

(0023063)
mkv (tester)
2013-01-22 17:56
edited on: 2013-01-22 18:09

Dear BugMaster,

Branch CR23663 (and products from GIT master) was compiled on Linux and Windows platforms.

Number of compiler warnings:
occt component :
Linux: 3 (3 on master)
Windows: 62 (85 on master)
products component :
data is not available


Products component was compiled with errors. It is necessary to modify source files - remove dependence from 2D viewer.

(0023064)
mkv (tester)
2013-01-22 18:00

Dear BugMaster,

Branch CR23663 was tested (occt component).

Regressions:
No regressions

Improvements:
No improvements

Testing cases:
Not needed

Deleted cases:
bugs vis(004) bug38 bug186 bug200 bug389 bug402 bug403 bug404 bug543 bug627
This files was removed from branch CR23663 in git-repository.
(0023078)
aba (developer)
2013-01-23 10:59

The Git branch CR23663 was created in occt products repository.
1) Dxf2d package was removed.
2) Dependences from TKV2d were deleted from EXTERNLIB files.

Dear san, please review.
(0023094)
san (developer)
2013-01-23 16:41

Branch CR23663 in occt-products repository reviewed without remarks, ready for testing.
(0023159)
bugmaster (administrator)
2013-01-25 16:46

Dear ABA,

You must update User's Guides : Visualization and Test Harness.
To make a request to ATP for source doc files.

Bugmaster
(0023163)
mkv (tester)
2013-01-25 17:55

Dear BugMaster,

Branch CR23663 (and CR23663 branch from products-GIT master) was compiled on Linux and Windows platforms and tested.

Number of compiler warnings:

occt component :
Linux: 3 (3 on master)
Windows: 62 (85 on master)

products component :
Linux: 9 (9 on master)
Windows: 50 (54 on master)

Branch CR23663 was tested (products component).

Regressions:
No regressions

Improvements:
No improvements

Testing cases:
Not needed

- Related Changesets
occt: master 128cc8df
Timestamp: 2013-01-25 14:11:16
Author: aba
Details ] Diff ]
0023663: Removing 2D viewer library

Deleted TKV2d toolkit and CGM, MFT,FontMFT, PlotMgt, PS packages. Deleted 2d test cases.
Deleted WNT_WDriver and Xw_Driver, edited Aspect_Driver.
Deleted trailing spaces, removed WNT_FontMapEntry, WNT_FontTable, WNT_HFontTable
Deleting tests for 2D viewer
rm - src/Select2D/Select2D_SensitiveSegment.cxx Diff ] File ]
mod - src/AIS/AIS_MinRadiusDimension.cxx Diff ] File ]
rm - src/CGM/Gestfic.cxx Diff ] File ]
rm - src/Graphic2d/Graphic2d_View.cdl Diff ] File ]
mod - src/AIS/AIS_OffsetDimension.cdl Diff ] File ]
rm - src/Graphic2d/Graphic2d_PolylineMarker.cxx Diff ] File ]
mod - src/Aspect/Aspect_Driver.cdl Diff ] File ]
rm - src/Select2D/Select2D_SensitiveEntity.lxx Diff ] File ]
mod - src/AIS/AIS_Chamf2dDimension.cxx Diff ] File ]
mod - src/StdSelect/StdSelect_Shape.cxx Diff ] File ]
rm - src/Viewer2dTest/Viewer2dTest_EventManager.cdl Diff ] File ]
mod - src/QABugs/QABugs_17.cxx Diff ] File ]
mod - src/AIS/AIS_FixRelation.cxx Diff ] File ]
rm - src/MFT/MFT.edl Diff ] File ]
rm - src/Prs2d/Prs2d_Angularity.cdl Diff ] File ]
rm - src/Select2D/Select2D_SensitiveCircle.cxx Diff ] File ]
rm - src/WNT/WNT_FontMapEntry.cxx Diff ] File ]
rm - src/Prs2d/Prs2d_Cylindric.cxx Diff ] File ]
rm - src/MFT/MFT_TextManager.cxx Diff ] File ]
rm - tests/bugs/vis/bug193 Diff ] File ]
rm - src/StdSelect/StdSelect_SensitiveText2d.cxx Diff ] File ]
rm - src/FontMFT/TABHZ5.mft Diff ] File ]
rm - tests/bugs/vis/bug672_4 Diff ] File ]
rm - src/MFT/MFT_FontManager.cdl Diff ] File ]
rm - src/MFT/MFT.cdl Diff ] File ]
mod - src/TKVoxel/EXTERNLIB Diff ] File ]
rm - src/FontMFT/Times-Italic.mft Diff ] File ]
mod - src/AIS/AIS_IdenticRelation.cdl Diff ] File ]
mod - src/AIS/AIS_Chamf3dDimension.cxx Diff ] File ]
rm - src/FontMFT/TABTXT02.mft Diff ] File ]
mod - src/AIS/AIS_EqualDistanceRelation.cdl Diff ] File ]
rm - src/Graphic2d/Graphic2d_Primitive.pxx Diff ] File ]
rm - src/CGM/cgmtypes.h Diff ] File ]
rm - src/CGM/cgmerr.h Diff ] File ]
rm - src/FontMFT/TABHZ3.mft Diff ] File ]
mod - src/Xw/Xw.cdl Diff ] File ]
rm - src/Prs2d/Prs2d_AspectText.cdl Diff ] File ]
rm - tests/bugs/vis/bug155_2 Diff ] File ]
rm - src/Graphic2d/Graphic2d_EllipsMarker.cdl Diff ] File ]
rm - src/Graphic2d/Graphic2d_Drawer.cxx Diff ] File ]
rm - src/Xw/Xw_Driver.cdl Diff ] File ]
rm - src/GGraphic2d/GGraphic2d_SetOfCurves.cxx Diff ] File ]
rm - src/AIS2D/AIS2D_ProjShape.cxx Diff ] File ]
rm - src/Prs2d/Prs2d.cdl Diff ] File ]
mod - src/V3d/V3d_View.cdl Diff ] File ]
rm - src/PlotMgt/PlotMgt_PlotterParameter.cxx Diff ] File ]
rm - src/QAViewer2dTest/QAViewer2dTest.cxx Diff ] File ]
rm - src/Prs2d/Prs2d_ToleranceFrame.cxx Diff ] File ]
rm - src/PS/FILES Diff ] File ]
rm - src/Prs2d/Prs2d_Diameter.cxx Diff ] File ]
mod - src/AIS/AIS_MinRadiusDimension.cdl Diff ] File ]
rm - src/Prs2d/Prs2d_SymTotal.cxx Diff ] File ]
rm - src/Graphic2d/Graphic2d_GraphicObject.pxx Diff ] File ]
rm - src/WNT/WNT_TextManager.cdl Diff ] File ]
mod - src/TKTopTest/EXTERNLIB Diff ] File ]
rm - src/AIS2D/AIS2D_LocalContext.cxx Diff ] File ]
rm - src/WNT/WNT_MFTDraw.cxx Diff ] File ]
mod - src/AIS/AIS_PerpendicularRelation.cxx Diff ] File ]
rm - src/Prs2d/Prs2d_Angle.lxx Diff ] File ]
rm - tests/bugs/vis/bug153 Diff ] File ]
rm - src/GGraphic2d/Graphic2d_Curve.hxx Diff ] File ]
rm - src/Viewer2dTest/Viewer2dTest_DisplayCommands.cxx Diff ] File ]
mod - src/AIS/AIS_SymmetricRelation.cxx Diff ] File ]
rm - src/PlotMgt/PlotMgt_fillpolygon.cxx Diff ] File ]
rm - src/Prs2d/Prs2d_Axis.cdl Diff ] File ]
rm - src/Prs2d/Prs2d_Flatness.cdl Diff ] File ]
rm - tests/bugs/vis/bug154_2 Diff ] File ]
rm - src/GGraphic2d/GGraphic2d_Curve.cxx Diff ] File ]
rm - src/Graphic2d/Graphic2d_Vertex.cxx Diff ] File ]
rm - src/Prs2d/Prs2d_Length.lxx Diff ] File ]
rm - src/Viewer2dTest/Viewer2dTest_ObjectCommands.cxx Diff ] File ]
rm - src/Prs2d/Prs2d_AspectRoot.cxx Diff ] File ]
rm - src/GGraphic2d/GGraphic2d_SetOfCurves.cdl Diff ] File ]
rm - src/V2d/V2d_RectangularGrid.cxx Diff ] File ]
rm - src/FontMFT/Courier-Bold.mft Diff ] File ]
rm - src/FontMFT/Courier-Oblique.mft Diff ] File ]
mod - src/AIS/AIS_ConnectedInteractive.cdl Diff ] File ]
rm - src/PS/PS.edl Diff ] File ]
rm - src/PrsMgr/PrsMgr_PresentationManager2d.cdl Diff ] File ]
rm - src/Graphic2d/Graphic2d_TransientManager.cdl Diff ] File ]
rm - src/Prs2d/Prs2d_Length.cdl Diff ] File ]
mod - src/TKPCAF/EXTERNLIB Diff ] File ]
mod - src/AIS/AIS_IdenticRelation.cxx Diff ] File ]
mod - src/AIS/AIS_Plane.cxx Diff ] File ]
rm - tests/bugs/vis/bug672_3 Diff ] File ]
rm - src/AIS2D/AIS2D.cxx Diff ] File ]
rm - src/Graphic2d/Graphic2d_Primitive.cxx Diff ] File ]
rm - src/Prs2d/Prs2d_Tolerance.cxx Diff ] File ]
rm - src/WNT/WNT_MFTDraw.hxx Diff ] File ]
rm - src/Graphic2d/Graphic2d_WOKSteps.edl Diff ] File ]
rm - src/Graphic2d/Graphic2d_HidingGraphicObject.cxx Diff ] File ]
rm - src/Xw/Xw_TextManager.cxx Diff ] File ]
rm - src/Graphic2d/Graphic2d_SetOfPolylines.cdl Diff ] File ]
rm - src/Prs2d/Prs2d_Perpendicular.cdl Diff ] File ]
rm - src/PlotMgt/PlotMgt_Plotter_1.cxx Diff ] File ]
mod - src/AIS/AIS_EqualRadiusRelation.cdl Diff ] File ]
rm - src/StdSelect/StdSelect_TextProjector2d.cxx Diff ] File ]
rm - src/Graphic2d/Graphic2d_GraphicObject.cxx Diff ] File ]
rm - src/GGraphic2d/GGraphic2d_Curve.cdl Diff ] File ]
rm - src/TKV2d/EXTERNLIB Diff ] File ]
rm - src/FontMFT/Helvetica-Bold.mft Diff ] File ]
rm - src/V2d/V2d_CircularGraphicGrid.cxx Diff ] File ]
rm - src/Viewer2dTest/Viewer2dTest.cxx Diff ] File ]
mod - src/AIS/AIS_Trihedron.cdl Diff ] File ]
rm - tests/bugs/vis/bug38 Diff ] File ]
rm - tests/bugs/vis/bug225 Diff ] File ]
rm - src/Graphic2d/Graphic2d_CBitFields8.hxx Diff ] File ]
rm - src/FontMFT/TABHZ2.mft Diff ] File ]
rm - src/Prs2d/Prs2d_Symmetry.cxx Diff ] File ]
rm - src/Prs2d/Prs2d_Radius.cdl Diff ] File ]
mod - src/StdSelect/StdSelect_Shape.cdl Diff ] File ]
rm - src/V2d/V2d_RectangularGraphicGrid.cxx Diff ] File ]
rm - src/Prs2d/Prs2d_DrawSymbol.cdl Diff ] File ]
mod - src/AIS/AIS_Point.cxx Diff ] File ]
rm - src/V2d/V2d.cdl Diff ] File ]
rm - src/PlotMgt/PlotMgt.cdl Diff ] File ]
mod - src/AIS/AIS_MultipleConnectedInteractive.cdl Diff ] File ]
rm - src/FontMFT/TABTXT15.mft Diff ] File ]
rm - src/PS/PS_Driver.cdl Diff ] File ]
rm - src/Graphic2d/Graphic2d_Line.cdl Diff ] File ]
rm - src/FontMFT/TABTXT08.mft Diff ] File ]
rm - src/MFT/MFT_FileHandle.hxx Diff ] File ]
rm - src/Prs2d/Prs2d_SymCircular.cxx Diff ] File ]
rm - src/Graphic2d/Graphic2d_VectorialMarker.cdl Diff ] File ]
rm - tests/bugs/vis/bug403 Diff ] File ]
rm - src/Prs2d/Prs2d_Diameter.lxx Diff ] File ]
rm - src/Xw/Xw_TextManager.cdl Diff ] File ]
rm - src/Graphic2d/Graphic2d_HidingText.cdl Diff ] File ]
rm - src/V2d/V2d_BackgroundGraphicObject.cdl Diff ] File ]
rm - src/Prs2d/Prs2d_ToleranceFrame.cdl Diff ] File ]
rm - tests/bugs/vis/bug627 Diff ] File ]
rm - src/QAViewer2dTest/QAViewer2dTest_ObjectCommands.cxx Diff ] File ]
rm - src/Graphic2d/Graphic2d_InfiniteLine.cxx Diff ] File ]
rm - tests/bugs/vis/bug200 Diff ] File ]
rm - src/FontMFT/TABHZ4.mft Diff ] File ]
rm - src/Prs2d/Prs2d_Arrow.cxx Diff ] File ]
rm - src/Graphic2d/Graphic2d_ImageFile.cdl Diff ] File ]
rm - src/Graphic2d/Graphic2d_Ellips.cdl Diff ] File ]
rm - src/Graphic2d/Graphic2d_HidingGraphicObject.cdl Diff ] File ]
rm - src/Graphic2d/Graphic2d_FramedText.cdl Diff ] File ]
rm - src/Graphic2d/Graphic2d_Segment.cdl Diff ] File ]
rm - src/Graphic2d/Graphic2d_Primitive.cdl Diff ] File ]
rm - src/WNT/WNT_FontMapEntry.lxx Diff ] File ]
rm - src/StdSelect/StdSelect_TextProjector2d.cdl Diff ] File ]
rm - src/Prs2d/Prs2d_Cylindric.cdl Diff ] File ]
rm - src/FontMFT/TABHZ6.mft Diff ] File ]
rm - src/Prs2d/Prs2d_Parallelism.cxx Diff ] File ]
rm - src/Graphic2d/Graphic2d_Buffer.cdl Diff ] File ]
rm - src/V2d/V2d_Viewer.cxx Diff ] File ]
mod - src/AIS/AIS_ConnectedShape.cdl Diff ] File ]
rm - src/AIS2D/AIS2D_PrimitiveArchit.cdl Diff ] File ]
rm - src/Select2D/Select2D_SensitivePoint.cdl Diff ] File ]
rm - tests/bugs/vis/bug194_1 Diff ] File ]
mod - src/AIS/AIS_EqualRadiusRelation.cxx Diff ] File ]
mod - src/PrsMgr/PrsMgr_PresentableObject.cdl Diff ] File ]
rm - src/FontMFT/Utopia-Bold.mft Diff ] File ]
rm - src/Graphic2d/Graphic2d_TransientManager.cxx Diff ] File ]
mod - src/PrsMgr/PrsMgr.cdl Diff ] File ]
mod - src/AIS/AIS_Trihedron.cxx Diff ] File ]
rm - src/Graphic2d/Graphic2d_SetOfSegments.cdl Diff ] File ]
rm - src/PlotMgt/PlotMgt_Plotter.cdl Diff ] File ]
rm - src/StdSelect/StdSelect_SensitiveText2d.lxx Diff ] File ]
mod - src/AIS/AIS_PlaneTrihedron.cdl Diff ] File ]
rm - src/PS/PS_CMPLRS.edl Diff ] File ]
rm - src/Graphic2d/Graphic2d_Buffer.cxx Diff ] File ]
rm - src/FontMFT/Helvetica-Medium.mft Diff ] File ]
rm - src/FontMFT/Helvetica.mft Diff ] File ]
mod - src/AIS/AIS_Axis.cxx Diff ] File ]
rm - src/WNT/WNT_WDriver.cxx Diff ] File ]
rm - src/Select2D/Select2D_SensitiveCircle.lxx Diff ] File ]
rm - src/PrsMgr/PrsMgr_Presentation2d.cdl Diff ] File ]
mod - src/TKQADraw/EXTERNLIB Diff ] File ]
rm - src/Graphic2d/Graphic2d_ViewMapping.cdl Diff ] File ]
rm - src/StdSelect/StdSelect_TextProjector2d.lxx Diff ] File ]
rm - src/WNT/WNT_WDriver.cdl Diff ] File ]
mod - src/AIS/AIS_EqualDistanceRelation.cxx Diff ] File ]
rm - src/GGraphic2d/GGraphic2d.cdl Diff ] File ]
rm - src/Prs2d/Prs2d_Parallelism.cdl Diff ] File ]
rm - src/Viewer2dTest/Viewer2dTest_EventManager.cxx Diff ] File ]
rm - src/CGM/CGM_Driver.cdl Diff ] File ]
rm - src/Select2D/Select2D_SensitivePoint.lxx Diff ] File ]
rm - src/Prs2d/Prs2d_LineProfile.cxx Diff ] File ]
mod - src/AIS/AIS_MidPointRelation.cdl Diff ] File ]
rm - src/QAViewer2dTest/QAViewer2dTest_CMPLRS.edl Diff ] File ]
mod - src/AIS/AIS_MaxRadiusDimension.cdl Diff ] File ]
rm - src/Prs2d/Prs2d_Perpendicular.cxx Diff ] File ]
rm - src/Viewer2dTest/Viewer2dTest.cdl Diff ] File ]
rm - src/CGM/cgmatt.h Diff ] File ]
rm - src/AIS2D/AIS2D_InteractiveContext.cdl Diff ] File ]
mod - src/QADraw/QADraw.cxx Diff ] File ]
rm - src/Prs2d/Prs2d_AspectLine.cxx Diff ] File ]
rm - src/Graphic2d/Graphic2d_PolylineMarker.cdl Diff ] File ]
rm - src/V2d/V2d_View.cdl Diff ] File ]
rm - src/Prs2d/Prs2d_Dimension.cxx Diff ] File ]
rm - src/Prs2d/Prs2d_SurfProfile.cxx Diff ] File ]
rm - src/StdSelect/StdSelect_ViewerSelector2d.cdl Diff ] File ]
rm - src/Prs2d/Prs2d_AspectRoot.cdl Diff ] File ]
rm - src/FontMFT/Times-BoldItalic.mft Diff ] File ]
rm - src/Graphic2d/Graphic2d_SetOfMarkers.cxx Diff ] File ]
rm - src/QAViewer2dTest/QAViewer2dTest_DisplayCommands.cxx Diff ] File ]
rm - src/Prs2d/Prs2d_Radius.lxx Diff ] File ]
rm - src/Prs2d/Prs2d_Point.cdl Diff ] File ]
rm - src/CGM/cgmout.h Diff ] File ]
rm - src/Prs2d/Prs2d_Repere.cxx Diff ] File ]
rm - src/V2d/V2d_CircularGraphicGrid.cdl Diff ] File ]
rm - src/AIS2D/AIS2D_LocalStatus.cdl Diff ] File ]
mod - src/AIS/AIS_LengthDimension.cdl Diff ] File ]
rm - src/FontMFT/Helvetica-Oblique.mft Diff ] File ]
rm - src/MFT/MFT_CommandDescriptor.cxx Diff ] File ]
rm - src/Prs2d/Prs2d_RadiusIndep.cxx Diff ] File ]
rm - src/AIS2D/AIS2D_InteractiveObject.cxx Diff ] File ]
rm - src/Graphic2d/Graphic2d_GraphicObject.cdl Diff ] File ]
rm - src/AIS2D/AIS2D_InteractiveObject.cdl Diff ] File ]
rm - src/AIS2D/AIS2D_ProjShape.cdl Diff ] File ]
mod - src/AIS/AIS_ParallelRelation.cxx Diff ] File ]
rm - src/V2d/V2d_Viewer.cdl Diff ] File ]
rm - src/Graphic2d/Graphic2d.cdl Diff ] File ]
rm - src/CGM/CGM.cdl Diff ] File ]
mod - src/TKViewerTest/PACKAGES Diff ] File ]
rm - src/Graphic2d/Graphic2d_Image.pxx Diff ] File ]
rm - src/Prs2d/Prs2d_Dimension.lxx Diff ] File ]
rm - src/Prs2d/Prs2d_Angularity.cxx Diff ] File ]
rm - src/V2d/V2d_BackgroundGraphicObject.cxx Diff ] File ]
rm - src/Select2D/Select2D_SensitiveEntity.cdl Diff ] File ]
rm - tests/bugs/vis/bug198_2 Diff ] File ]
rm - src/FontMFT/Utopia-Regular.mft Diff ] File ]
rm - src/AIS2D/AIS2D_InteractiveContext.cxx Diff ] File ]
rm - tests/bugs/vis/bug196 Diff ] File ]
mod - src/AIS/AIS_ConcentricRelation.cdl Diff ] File ]
rm - src/FontMFT/Utopia-Italic.mft Diff ] File ]
mod - src/QABugs/QABugs_18.cxx Diff ] File ]
rm - src/FontMFT/TABTXT04.mft Diff ] File ]
rm - src/CGM/cgmstruc.h Diff ] File ]
rm - src/MFT/MFT_CommandDescriptor.hxx Diff ] File ]
rm - src/Graphic2d/Graphic2d_CMPLRS.edl Diff ] File ]
mod - src/AIS/AIS_TangentRelation.cdl Diff ] File ]
rm - tests/bugs/vis/bug155_1 Diff ] File ]
rm - src/PlotMgt/PlotMgt_PlotterDriver.cdl Diff ] File ]
rm - src/Graphic2d/Graphic2d_CircleMarker.cdl Diff ] File ]
rm - tests/bugs/vis/bug154_1 Diff ] File ]
rm - src/Graphic2d/Graphic2d_Polyline.cdl Diff ] File ]
rm - src/Graphic2d/Graphic2d_ImageFile.cxx Diff ] File ]
rm - src/AIS2D/AIS2D_LocalContext.cdl Diff ] File ]
rm - src/Prs2d/Prs2d_Radius.cxx Diff ] File ]
rm - src/PlotMgt/PlotMgt_TextManager.cdl Diff ] File ]
rm - src/CGM/cgmotext.c Diff ] File ]
rm - src/Prs2d/Prs2d_DrawSymbol.cxx Diff ] File ]
rm - src/FontMFT/Courier.mft Diff ] File ]
rm - src/FontMFT/Defaultfont.mft Diff ] File ]
rm - src/MFT/MFT_TextManager.cdl Diff ] File ]
rm - src/FontMFT/Courier-BoldItalic.mft Diff ] File ]
mod - src/AIS/AIS_PlaneTrihedron.cxx Diff ] File ]
mod - src/WNT/WNT_Window.cdl Diff ] File ]
mod - src/AIS/AIS_MultipleConnectedShape.cdl Diff ] File ]
rm - src/MFT/MFT_WOKSteps.edl Diff ] File ]
mod - src/AIS/AIS_DiameterDimension.cdl Diff ] File ]
rm - src/Prs2d/Prs2d_RadiusIndep.cdl Diff ] File ]
mod - src/AIS/AIS_OffsetDimension.cxx Diff ] File ]
rm - src/Prs2d/Prs2d_Position.cxx Diff ] File ]
rm - src/FontMFT/TABKJ.mft Diff ] File ]
rm - src/Select2D/Select2D_SensitiveArc.cdl Diff ] File ]
rm - src/Select2D/Select2D.cdl Diff ] File ]
rm - src/Prs2d/Prs2d_Circularity.cdl Diff ] File ]
rm - src/Graphic2d/Graphic2d_FramedText.cxx Diff ] File ]
rm - src/PlotMgt/PlotMgt_PlotterDriver.cxx Diff ] File ]
mod - tests/bugs/end Diff ] File ]
rm - src/Graphic2d/Graphic2d_Marker.cxx Diff ] File ]
rm - src/Prs2d/Prs2d_Angle.cxx Diff ] File ]
rm - src/Graphic2d/Graphic2d_Image.cdl Diff ] File ]
rm - src/Prs2d/Prs2d_Circularity.cxx Diff ] File ]
rm - src/CGM/cgminit.h Diff ] File ]
rm - src/Graphic2d/Graphic2d.edl Diff ] File ]
rm - src/Graphic2d/Graphic2d_Paragraph.cdl Diff ] File ]
rm - src/V2d/V2d_DefaultMap.cxx Diff ] File ]
mod - src/AIS/AIS_Axis.cdl Diff ] File ]
rm - src/Xw/Xw_Driver.cxx Diff ] File ]
rm - src/GGraphic2d/Graphic2d_SetOfCurves.hxx Diff ] File ]
rm - src/Graphic2d/Graphic2d_EllipsMarker.cxx Diff ] File ]
rm - src/CGM/FILES Diff ] File ]
rm - src/WNT/WNT_FontMapEntry.cdl Diff ] File ]
rm - src/V2d/V2d_CircularGrid.cxx Diff ] File ]
rm - src/CGM/cgmelem.h Diff ] File ]
mod - src/AIS/AIS_LengthDimension.cxx Diff ] File ]
rm - src/Graphic2d/Graphic2d_Vertex.cdl Diff ] File ]
rm - src/Prs2d/Prs2d_Length.cxx Diff ] File ]
rm - src/V2d/V2d.cxx Diff ] File ]
rm - src/Graphic2d/Graphic2d_Marker.cdl Diff ] File ]
rm - src/Prs2d/Prs2d_Position.cdl Diff ] File ]
rm - src/PlotMgt/PlotMgt_PlotterTools.cxx Diff ] File ]
rm - src/MFT/MFT_FontManager.cxx Diff ] File ]
rm - src/FontMFT/Helvetica-BoldOblique.mft Diff ] File ]
mod - src/AIS/AIS_Shape.cxx Diff ] File ]
mod - src/TKXSDRAW/EXTERNLIB Diff ] File ]
rm - src/Graphic2d/Graphic2d_Image.cxx Diff ] File ]
rm - src/AIS2D/AIS2D_LocalStatus.lxx Diff ] File ]
rm - src/Graphic2d/Graphic2d_Circle.cxx Diff ] File ]
mod - src/AIS/AIS_AngleDimension.cxx Diff ] File ]
rm - src/CGM/cgmmach.h Diff ] File ]
rm - src/PlotMgt/PlotMgt.cxx Diff ] File ]
rm - src/Prs2d/Prs2d_Arrow.cdl Diff ] File ]
rm - src/V2d/V2d_CircularGrid.cdl Diff ] File ]
mod - src/QADraw/QADraw_Additional.cxx Diff ] File ]
rm - tests/bugs/vis/bug224 Diff ] File ]
rm - src/V2d/V2d_RectangularGraphicGrid.cdl Diff ] File ]
mod - src/AIS/AIS_Circle.cdl Diff ] File ]
mod - src/AIS/AIS_TangentRelation.cxx Diff ] File ]
rm - src/QAViewer2dTest/QAViewer2dTest_GeneralCommands.cxx Diff ] File ]
rm - src/Prs2d/Prs2d_Angle.cdl Diff ] File ]
rm - tests/bugs/vis/bug402 Diff ] File ]
rm - src/MFT/MFT_CMPLRS.edl Diff ] File ]
mod - src/AIS/AIS_Line.cxx Diff ] File ]
rm - src/Prs2d/Prs2d_AspectHidingText.cxx Diff ] File ]
rm - src/Graphic2d/Graphic2d_Polyline.cxx Diff ] File ]
rm - src/Graphic2d/Graphic2d_Text.cdl Diff ] File ]
rm - src/PS/PS.cdl Diff ] File ]
rm - src/CGM/CGM_Driver.cxx Diff ] File ]
mod - src/TKV3d/EXTERNLIB Diff ] File ]
rm - src/V2d/V2d_RectangularGrid.cdl Diff ] File ]
rm - src/MFT/MFT_FilePosition.hxx Diff ] File ]
rm - src/Viewer2dTest/Viewer2dTest_GeneralCommands.cxx Diff ] File ]
rm - src/PrsMgr/PrsMgr_PresentationManager2d.cxx Diff ] File ]
rm - src/TKV2d/PACKAGES Diff ] File ]
rm - tests/bugs/vis/buc60747 Diff ] File ]
rm - src/Graphic2d/Graphic2d_SetOfSegments.cxx Diff ] File ]
mod - src/AIS/AIS_DiameterDimension.cxx Diff ] File ]
mod - src/AIS/AIS_ConnectedInteractive.cxx Diff ] File ]
mod - src/AIS/AIS_MaxRadiusDimension.cxx Diff ] File ]
rm - src/Graphic2d/Graphic2d_Drawer.cdl Diff ] File ]
mod - src/ViewerTest/ViewerTest_ObjectCommands.cxx Diff ] File ]
rm - src/Select2D/Select2D_SensitiveArc.cxx Diff ] File ]
rm - src/Select2D/Select2D_SensitiveEntity.cxx Diff ] File ]
rm - tests/bugs/vis/bug195 Diff ] File ]
rm - src/FontMFT/FILES Diff ] File ]
mod - src/V3d/V3d.cdl Diff ] File ]
rm - src/Prs2d/Prs2d_AspectHidingPoly.cxx Diff ] File ]
rm - src/Graphic2d/Graphic2d_SetOfPolylines.cxx Diff ] File ]
mod - src/TKXCAF/EXTERNLIB Diff ] File ]
rm - src/Select2D/Select2D_SensitivePoint.cxx Diff ] File ]
rm - src/Prs2d/Prs2d_AspectText.cxx Diff ] File ]
rm - src/Viewer2dTest/Viewer2dTest_CMPLRS.edl Diff ] File ]
mod - src/AIS/AIS_Plane.cdl Diff ] File ]
rm - src/Graphic2d/Graphic2d_Text.cxx Diff ] File ]
rm - src/V2d/V2d_View.cxx Diff ] File ]
rm - src/AIS2D/AIS2D_InteractiveObject.lxx Diff ] File ]
rm - tests/bugs/vis/bug389 Diff ] File ]
rm - src/FontMFT/Times-Bold.mft Diff ] File ]
rm - src/Select2D/Select2D_Projector.cdl Diff ] File ]
mod - src/AIS/AIS_RadiusDimension.cxx Diff ] File ]
rm - src/Select2D/Select2D_Projector.cxx Diff ] File ]
mod - src/AIS/AIS_Chamf3dDimension.cdl Diff ] File ]
rm - src/Select2D/Select2D_SensitiveSegment.lxx Diff ] File ]
rm - src/Prs2d/Prs2d_Concentric.cxx Diff ] File ]
rm - src/FontMFT/TABTXT01.mft Diff ] File ]
mod - src/AIS/AIS.cdl Diff ] File ]
rm - src/PlotMgt/PlotMgt_Plotter.cxx Diff ] File ]
mod - src/AIS/AIS_SymmetricRelation.cdl Diff ] File ]
mod - src/AIS/AIS_MultipleConnectedShape.cxx Diff ] File ]
rm - src/FontMFT/TABHZ1.mft Diff ] File ]
rm - src/FontMFT/TABTXT07.mft Diff ] File ]
mod - src/AIS/AIS_FixRelation.cdl Diff ] File ]
rm - src/WNT/WNT_TextManager.cxx Diff ] File ]
rm - src/CGM/cgmochar.c Diff ] File ]
mod - src/TKViewerTest/EXTERNLIB Diff ] File ]
mod - src/PrsMgr/PrsMgr_PresentableObject.cxx Diff ] File ]
rm - src/Graphic2d/Graphic2d_CircleMarker.cxx Diff ] File ]
rm - src/MFT/MFT_FileRecord.cxx Diff ] File ]
mod - src/WNT/WNT_ImageManager.cdl Diff ] File ]
rm - src/Prs2d/Prs2d_SymCircular.cdl Diff ] File ]
rm - src/Prs2d/Prs2d_Taper.cxx Diff ] File ]
rm - src/Viewer2dTest/Viewer2dTest_ViewerCommands.cxx Diff ] File ]
rm - src/FontMFT/Courier-Italic.mft Diff ] File ]
rm - src/Graphic2d/Graphic2d_Paragraph.cxx Diff ] File ]
mod - src/AIS/AIS_ConcentricRelation.cxx Diff ] File ]
rm - src/StdSelect/StdSelect_SensitiveText2d.cdl Diff ] File ]
mod - src/AIS/AIS_AngleDimension.cdl Diff ] File ]
mod - src/AIS/AIS_Circle.cxx Diff ] File ]
rm - src/FontMFT/Utopia-BoldItalic.mft Diff ] File ]
rm - src/MFT/MFT_FileRecord.hxx Diff ] File ]
rm - src/PlotMgt/PlotMgt_PlotterParameter.cdl Diff ] File ]
mod - src/ViewerTest/ViewerTest.cxx Diff ] File ]
rm - src/Prs2d/Prs2d_Symmetry.cdl Diff ] File ]
rm - tests/bugs/vis/bug198_1 Diff ] File ]
rm - src/AIS2D/AIS2D_PrimitiveArchit.cxx Diff ] File ]
rm - src/CGM/cgmpar.h Diff ] File ]
rm - src/Graphic2d/Graphic2d_InfiniteLine.cdl Diff ] File ]
mod - src/AIS/AIS_ConnectedShape.cxx Diff ] File ]
mod - src/OS/Visualization.tcl Diff ] File ]
rm - src/Viewer2dTest/FILES Diff ] File ]
rm - src/Prs2d/Prs2d_Drawer.cdl Diff ] File ]
rm - src/TKV2d/FILES Diff ] File ]
mod - src/TKMeshVS/EXTERNLIB Diff ] File ]
rm - src/Prs2d/Prs2d_Repere.cdl Diff ] File ]
rm - src/PlotMgt/PlotMgt_ImageDriver.cdl Diff ] File ]
rm - src/Prs2d/Prs2d_Repere.lxx Diff ] File ]
rm - src/AIS2D/AIS2D_GlobalStatus.lxx Diff ] File ]
rm - src/Prs2d/Prs2d_SymTotal.cdl Diff ] File ]
rm - src/WNT/WNT_DDriver.cxx Diff ] File ]
rm - src/Graphic2d/Graphic2d_HidingText.cxx Diff ] File ]
mod - src/AIS/AIS_MidPointRelation.cxx Diff ] File ]
rm - src/PrsMgr/PrsMgr_Presentation2d.cxx Diff ] File ]
rm - src/AIS2D/AIS2D_LocalStatus.cxx Diff ] File ]
rm - src/PlotMgt/PlotMgt_TextManager.cxx Diff ] File ]
rm - src/GGraphic2d/Graphic2d_CurveDefinitionError.hxx Diff ] File ]
rm - src/Prs2d/Prs2d_SurfProfile.cdl Diff ] File ]
rm - src/GGraphic2d/FILES Diff ] File ]
rm - src/V2d/V2d_DefaultMap.cdl Diff ] File ]
mod - src/AIS/AIS_Shape.cdl Diff ] File ]
mod - src/QABugs/QABugs_11.cxx Diff ] File ]
rm - src/FontMFT/Symbol.mft Diff ] File ]
rm - src/Graphic2d/Graphic2d_Ellips.cxx Diff ] File ]
rm - src/Prs2d/Prs2d_AspectLine.cdl Diff ] File ]
rm - tests/bugs/vis/bug155_3 Diff ] File ]
rm - src/Prs2d/Prs2d_Point.cxx Diff ] File ]
rm - src/AIS2D/AIS2D.cdl Diff ] File ]
rm - src/StdSelect/StdSelect_ViewerSelector2d.cxx Diff ] File ]
rm - src/PlotMgt/PlotMgt_ImageDriver.cxx Diff ] File ]
rm - src/Graphic2d/Graphic2d_SetOfMarkers.cdl Diff ] File ]
rm - src/CGM/cgmobin.c Diff ] File ]
mod - src/StdSelect/StdSelect.cdl Diff ] File ]
rm - src/Graphic2d/Graphic2d_VectorialMarker.cxx Diff ] File ]
mod - src/WNT/WNT.cdl Diff ] File ]
rm - src/Graphic2d/Graphic2d_Segment.cxx Diff ] File ]
rm - src/Graphic2d/Graphic2d_View.cxx Diff ] File ]
rm - src/MFT/MFT.cxx Diff ] File ]
mod - src/AIS/AIS_Line.cdl Diff ] File ]
mod - src/AIS/AIS_PerpendicularRelation.cdl Diff ] File ]
rm - src/FontMFT/TABTXT05.mft Diff ] File ]
mod - src/AIS/AIS_ParallelRelation.cdl Diff ] File ]
rm - src/FontMFT/TABTXT06.mft Diff ] File ]
rm - src/PlotMgt/PlotMgt_fillpolyarc.cxx Diff ] File ]
rm - src/Prs2d/Prs2d_Axis.cxx Diff ] File ]
rm - src/FontMFT/Times-Roman.mft Diff ] File ]
rm - src/FontMFT/Times.mft Diff ] File ]
rm - src/PlotMgt/PlotMgt_PlotterTools.hxx Diff ] File ]
rm - src/Graphic2d/Graphic2d_Line.cxx Diff ] File ]
rm - src/AIS2D/AIS2D_GlobalStatus.cxx Diff ] File ]
rm - src/QAViewer2dTest/QAViewer2dTest_ViewerCommands.cxx Diff ] File ]
rm - src/Prs2d/Prs2d_Flatness.cxx Diff ] File ]
mod - src/Xw/Xw_Window.cdl Diff ] File ]
mod - src/WNT/FILES Diff ] File ]
rm - src/Graphic2d/Graphic2d_Circle.cdl Diff ] File ]
rm - src/Prs2d/Prs2d_Tolerance.cdl Diff ] File ]
mod - src/TKCAF/EXTERNLIB Diff ] File ]
mod - src/AIS/AIS_Point.cdl Diff ] File ]
mod - src/AIS/AIS_MultipleConnectedInteractive.cxx Diff ] File ]
rm - src/Prs2d/Prs2d_AspectFramedText.cdl Diff ] File ]
rm - src/Prs2d/Prs2d_AspectHidingPoly.cdl Diff ] File ]
mod - adm/UDLIST Diff ] File ]
rm - src/AIS2D/AIS2D_GlobalStatus.cdl Diff ] File ]
rm - tests/bugs/vis/bug194_2 Diff ] File ]
rm - src/CGM/cgmlib.hxx Diff ] File ]
rm - tests/bugs/vis/bug672_1 Diff ] File ]
rm - src/Prs2d/Prs2d_AspectFramedText.cxx Diff ] File ]
rm - src/PS/PS_Driver.cxx Diff ] File ]
mod - src/AIS/AIS_RadiusDimension.cdl Diff ] File ]
rm - src/AIS2D/AIS2D_InteractiveContext.lxx Diff ] File ]
rm - src/Graphic2d/Graphic2d_ViewMapping.cxx Diff ] File ]
rm - src/Prs2d/Prs2d_Drawer.cxx Diff ] File ]
rm - src/Prs2d/Prs2d_Straightness.cdl Diff ] File ]
rm - src/StdSelect/StdSelect_ViewerSelector2d.lxx Diff ] File ]
rm - src/PlotMgt/FILES Diff ] File ]
rm - src/Prs2d/Prs2d_Concentric.cdl Diff ] File ]
rm - src/Prs2d/Prs2d_LineProfile.cdl Diff ] File ]
mod - src/Aspect/Aspect_Driver.cxx Diff ] File ]
rm - src/MFT/FILES Diff ] File ]
rm - src/Prs2d/Prs2d_Dimension.cdl Diff ] File ]
mod - src/TKDCAF/EXTERNLIB Diff ] File ]
rm - src/Prs2d/Prs2d_Diameter.cdl Diff ] File ]
rm - src/QAViewer2dTest/QAViewer2dTest.cdl Diff ] File ]
rm - src/Graphic2d/FILES Diff ] File ]
rm - src/Prs2d/Prs2d_Taper.cdl Diff ] File ]
rm - src/Select2D/Select2D_SensitiveCircle.cdl Diff ] File ]
rm - tests/bugs/vis/bug404 Diff ] File ]
mod - src/AIS/AIS_Chamf2dDimension.cdl Diff ] File ]
rm - src/Select2D/Select2D_SensitiveSegment.cdl Diff ] File ]
rm - src/Prs2d/Prs2d_AspectHidingText.cdl Diff ] File ]
rm - src/Graphic2d/Graphic2d_CBitFields8.cxx Diff ] File ]
mod - src/V3d/V3d_View.cxx Diff ] File ]
rm - src/PlotMgt/PlotMgt_fill.hxx Diff ] File ]
rm - src/Select2D/Select2D_SensitiveBox.cdl Diff ] File ]
rm - src/WNT/WNT_DDriver.cdl Diff ] File ]
mod - src/TKService/PACKAGES Diff ] File ]
rm - src/FontMFT/TABTXT03.mft Diff ] File ]
rm - tests/bugs/vis/bug672_2 Diff ] File ]
rm - src/Select2D/Select2D_SensitiveBox.cxx Diff ] File ]
rm - src/QAViewer2dTest/FILES Diff ] File ]
rm - src/PlotMgt/PlotMgt_Plotter_2.cxx Diff ] File ]
rm - src/Prs2d/Prs2d_Straightness.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2012-12-21 20:43 san New Issue
2012-12-21 20:43 san Assigned To => san
2012-12-21 20:44 san Relationship added parent of 0023661
2012-12-21 20:45 san Relationship added parent of 0023662
2012-12-25 12:55 abv Relationship added related to 0022103
2012-12-25 12:56 abv Relationship added related to 0023665
2012-12-25 13:51 abv Note Added: 0022829
2012-12-25 15:35 san Relationship added related to 0023670
2012-12-25 15:58 abv Target Version => 6.6.0
2012-12-26 13:58 san Assigned To san => aba
2012-12-26 13:58 san Status new => assigned
2013-01-16 17:32 aba Note Added: 0022989
2013-01-16 17:32 aba Assigned To aba => san
2013-01-16 17:32 aba Status assigned => resolved
2013-01-17 10:55 aba Note Edited: 0022989 View Revisions
2013-01-17 12:38 jgv Assigned To san => aba
2013-01-17 12:43 jgv Note Added: 0022997
2013-01-17 12:43 jgv Status resolved => assigned
2013-01-17 14:55 san Relationship added related to 0023707
2013-01-17 15:15 aba Relationship added related to 0023709
2013-01-17 15:22 san Note Added: 0023004
2013-01-17 15:22 san Status assigned => resolved
2013-01-17 15:23 san Note Added: 0023005
2013-01-17 15:23 san Status resolved => assigned
2013-01-17 15:26 aba Relationship added related to 0023710
2013-01-17 17:21 aba Note Added: 0023009
2013-01-17 17:22 aba Assigned To aba => san
2013-01-17 17:22 aba Status assigned => resolved
2013-01-18 12:36 dbv Relationship added related to 0023712
2013-01-18 18:26 san Note Added: 0023032
2013-01-18 18:26 san Assigned To san => bugmaster
2013-01-18 18:26 san Status resolved => reviewed
2013-01-21 13:49 bugmaster Assigned To bugmaster => mkv
2013-01-21 20:28 mkv Note Added: 0023049
2013-01-21 20:29 mkv Assigned To mkv => aba
2013-01-21 20:29 mkv Status reviewed => feedback
2013-01-22 11:16 aba Note Added: 0023054
2013-01-22 11:54 abv Assigned To aba => mkv
2013-01-22 11:54 abv Status feedback => reviewed
2013-01-22 17:54 mkv Note Added: 0023062
2013-01-22 17:56 mkv Note Added: 0023063
2013-01-22 18:00 mkv Note Added: 0023064
2013-01-22 18:01 mkv Test case number => Not needed
2013-01-22 18:01 mkv Assigned To mkv => aba
2013-01-22 18:01 mkv Status reviewed => assigned
2013-01-22 18:09 bugmaster Note Edited: 0023063 View Revisions
2013-01-22 18:10 bugmaster Note Edited: 0023062 View Revisions
2013-01-22 18:10 bugmaster Note Edited: 0023062 View Revisions
2013-01-22 18:11 bugmaster Note Edited: 0023062 View Revisions
2013-01-23 10:59 aba Note Added: 0023078
2013-01-23 10:59 aba Assigned To aba => san
2013-01-23 10:59 aba Status assigned => resolved
2013-01-23 16:41 san Note Added: 0023094
2013-01-23 16:41 san Assigned To san => bugmaster
2013-01-23 16:41 san Status resolved => reviewed
2013-01-25 16:46 bugmaster Note Added: 0023159
2013-01-25 17:55 mkv Note Added: 0023163
2013-01-25 17:55 mkv Status reviewed => tested
2013-01-28 18:06 aba Changeset attached => occt master 128cc8df
2013-01-28 18:06 aba Assigned To bugmaster => aba
2013-01-28 18:06 aba Status tested => verified
2013-01-28 18:06 aba Resolution open => fixed
2013-01-29 12:29 dbv Relationship added related to 0023735
2013-02-11 18:47 ibs Relationship added parent of 0023750
2013-02-19 10:54 kgv Relationship added related to 0023763
2013-02-20 15:03 san Relationship added related to 0023776
2013-02-22 16:32 kgv Relationship added related to 0021589
2013-03-14 19:07 san Relationship added related to 0023220
2013-04-09 17:23 apl Relationship added related to 0007696
2013-04-23 13:35 aiv Status verified => closed
2013-04-29 15:24 aiv Fixed in Version => 6.6.0
2014-06-19 18:10 kgv Relationship added related to 0025026
2014-06-29 14:21 kgv Relationship added related to 0025038


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker